<div class="blogpost">
    <h1 style="text-align: center;font-size: 60px;color: black;font-style: inherit;padding-top: 80px;">Blog Posts</h1>
    <h2 style="text-align: center;font-size: 40px;color: black;font-style: inherit;padding-top: 40px;">Choose what type of blog you want to post!</h2>
</div>
  <div class="row">
    <div class="col-md-4">
  <div class="card" style="width: 18rem;">
    <img src="../../assets/images/fashion.png" class="card-img-top" alt="...">
    <div class="card-body">
      <h5 class="card-title">Blog on Fashion</h5>
      <p class="card-text">This is an example to show how your blog about Fashion will be posted on our site.</p>
      <a href="#" class="btn btn-primary">Open This</a>
    </div>
    </div>
    </div>
    <div class="md-col-4">
    <div class="card" style="width: 25rem;">
      <img src="../../assets/images/lifehack4.jpg" class="card-img-top" style="height: 500px;width: 400px;" alt="...">
      <div class="card-body">
        <h5 class="card-title">Blog on LifeHack</h5>
        <p class="card-text">This is an example to show how your blog about LifeHacks will be posted on our site.</p>
        <a href="#" class="btn btn-primary">Open This</a>
      </div>
    </div>
    </div>
      <div class="md-col-4">
        <div class="card" style="width: 20rem;margin-left: 70px;">
          <img src="..." class="card-img-top" style="height: 500px;width: 400px;" alt="...">
          <div class="card-body">
            <h5 class="card-title">Card title</h5>
            <p class="card-text">If you want to post something just tap here.</p>
            <a href="#form" class="btn btn-primary">Open This</a>
          </div>
      </div>
    </div>
  </div>
  <div class="blogs" id="form">
  <form [formGroup]="blogForm"style="padding-left: 40%;padding-top: 140px;">
    <div class="form-group" style="color: black;width: 400px;">
      <label for="exampleFormControlInput1" style="font-size: 20px;">Title</label>
      <input type="email" class="form-control" formControlName="Title" id="exampleFormControlInput1" placeholder="" name="Title">
    </div>
    <div class="form-group" style="color: black;width: 400px;">
        <label for="exampleFormControlSelect1" style="font-size: 20px;">Category</label>
        <select formControlName="category" class="form-control"(change)="filterSubCategory($event)">
          <option *ngFor="let obj of allCategoryObj" [value]="obj._id">{{obj.name}}</option>
      <!-- <option>Fashion</option>
      <option>LifeHacks</option> -->
    </select>
    </div>
    <div class="form-group" style="color: black;width: 400px;">
      <label for="exampleFormControlInput1" style="font-size: 20px;">Subcategory</label>
      <select formControlName="subcategory" class="form-control">
        <!-- <option [value]="obj._id" *ngFor="let obj of AllSubcategoryObj">{{obj.name}}</option> -->
    </select>
    </div>
    <!-- <div class="form-group" style="color:black;width: 400px;">
        <label for="exampleFormControlTextarea1" style="font-size: 20px;">Your Content</label>
        <textarea class="form-control" id="exampleFormControlTextarea1" placeholder="" name="message"
         rows="12"></textarea>
      </div> -->
        <!-- <div class="form-group">
          <label for="exampleFormControlFile1"style="font-size: 20px;">Choose Image</label>
          <input type="file" class="form-control-file" id="exampleFormControlFile1">
        </div> -->
        <div class="example-button-row">
          <angular-editor formControlName="blogContent" [config]="editorConfig"></angular-editor>
      <button mat-raised-button style=" background-color: aqua;margin-left: 20%;" (click)="addBlog()">Submit</button>
    </div> 
    </form>
  </div>
  <!-- <form [formGroup]="blogForm">
    <div class="form-group">
        <label for="exampleInputEmail1">Title</label>
        <input type="email" formControlName="category" class="form-control" id="exampleInputEmail1"
            aria-describedby="emailHelp" placeholder="Enter email">
        <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone
            else.</small>
    </div>
    <div class="form-group">
        <label for="exampleInputPassword1">Category</label>
        <input type="password" formControlName="subCategory" class="form-control" id="exampleInputPassword1"
            placeholder="Password">
    </div>
    <div class="form-group">
      <label for="exampleInputPassword1">Your Content</label>
      <input type="password" formControlName="subCategory" class="form-control" id="exampleInputPassword1"
          placeholder="Password">
    <angular-editor formControlName="blogContent" [config]="editorConfig"></angular-editor>
    <button type="submit" class="btn btn-primary">submit</button>
</form> -->

